LMDE 3 "Cindy" Mate (64-bit)

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 12 сен 2018, 06:25

Chocobo писал(а):
12 сен 2018, 06:23
создай свой .pref-файлик с произвольным именем там рядом и он их не тронет
понятно, как с Nemo быть?

Аватара пользователя

Автор темы
Chocobo
Сообщения: 9111
Зарегистрирован: 27 авг 2016, 19:57
Решено: 198
Откуда: НН
Благодарил (а): 632 раза
Поблагодарили: 2604 раза

LMDE 3 Cindy Mate x64

Сообщение Chocobo » 12 сен 2018, 07:01

Эти ошметки можно удалить.

Код: Выделить всё

apt purge gir1.2-nemo-3.0 libnemo-extension1 nemo-data libcscreensaver0
Они не прописаны прямыми зависимостями, поэтому видимо остались. По ходу дела подчистим и такие, если всплывут.
по факту они не особо мешают, все три пакета под этим именем весят вместе меньше 0,5Мб :poh:

Код: Выделить всё

workbook:~$ apt show gir1.2-nemo-3.0 libnemo-extension1 nemo-data | grep Installed

Installed-Size: 63,5 kB
Installed-Size: 95,2 kB
Installed-Size: 289 kB
Но для порядка вычистим.
Изображение
   
Изображение

Аватара пользователя

hellonet
Сообщения: 960
Зарегистрирован: 11 окт 2016, 09:58
Решено: 3
Откуда: Новосибирск
Благодарил (а): 315 раз
Поблагодарили: 114 раз

LMDE 3 Cindy Mate x64

Сообщение hellonet » 12 сен 2018, 09:00

AlexZ писал(а):
12 сен 2018, 06:25
понятно, как с Nemo быть?
А если галочку снять? Я вообще выбрал: "Игнорировать обновления для этого пакета" и он исчез из списка.
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 9111
Зарегистрирован: 27 авг 2016, 19:57
Решено: 198
Откуда: НН
Благодарил (а): 632 раза
Поблагодарили: 2604 раза

LMDE 3 Cindy Mate x64

Сообщение Chocobo » 12 сен 2018, 09:06

hellonet, ну тут речь больше о том, что это мусор от корицы остался чутка. Он нам в Mate нафиг не вперся.

По команде выше можно вынести его и еще пару пакетов из этой же серии.
В очередном образе включу эти изменения, когда накопится еще что-нибудь стоящее. Сейчас ради пары мегабайт трафика при обновках пересобирать его не хочется по таким мелочам) Функционального влияния нет от них.
Изображение
   
Изображение

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 12 сен 2018, 09:22

Chocobo писал(а):
12 сен 2018, 07:01
Эти ошметки можно удалить
Может оставить лучше, он там ещё прихватывает нужное..
alex@acer:~$ apt purge gir1.2-nemo-3.0 libnemo-extension1 nemo-data libpango1.0-0 libpangox-1.0-0 libunique-3.0-0 libcscreensaver0
[sudo] пароль для alex:
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
cabextract gstreamer1.0-vaapi libaribb24-0 libaribb25-0 libbasicusageenvironment1 libcddb2
libdvbpsi10 libebml4v5 libgroupsock8 liblivemedia58 libmatroska6v5 libmicrodns0 libmspack0
libprotobuf-lite10 libqt5x11extras5 libresid-builder0c2a libsidplay2 libssh-4 libunshield0
libupnp6 libusageenvironment3 libva-wayland1 libvlc-bin libvlc5 libvlccore9 unshield vlc
vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt
vlc-plugin-video-output w64codecs
Для их удаления используйте «sudo apt autoremove».
Пакеты, которые будут УДАЛЕНЫ:
flashplayer-mozilla* gir1.2-nemo-3.0* libcscreensaver0* libhal1-flash* libnemo-extension1*
libpango1.0-0* libpangox-1.0-0* libunique-3.0-0* mint-meta-codecs* nemo-data* python-nemo*
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 11 пакетов, и 0 пакетов не обновлено.
После данной операции, объём занятого дискового пространства уменьшится на 19,4 MB.
Хотите продолжить? [Д/н]

Аватара пользователя

Автор темы
Chocobo
Сообщения: 9111
Зарегистрирован: 27 авг 2016, 19:57
Решено: 198
Откуда: НН
Благодарил (а): 632 раза
Поблагодарили: 2604 раза

LMDE 3 Cindy Mate x64

Сообщение Chocobo » 12 сен 2018, 09:25

AlexZ писал(а):
12 сен 2018, 09:22
flashplayer-mozilla mint-meta-codecs*
Хм, у меня их не зацепил вроде, сейчас проверю кто на них так влияет из этих кандидатов на вынос.
Изображение
   
Изображение

Аватара пользователя

Автор темы
Chocobo
Сообщения: 9111
Зарегистрирован: 27 авг 2016, 19:57
Решено: 198
Откуда: НН
Благодарил (а): 632 раза
Поблагодарили: 2604 раза

LMDE 3 Cindy Mate x64

Сообщение Chocobo » 12 сен 2018, 09:29

Панго давайте не будем трогать в уже установленных системах. Сделаем нежнее:
apt purge gir1.2-nemo-3.0 libnemo-extension1 nemo-data libcscreensaver0

на базовой можно было их вынести, а вот устанавливаемый в последующем mint-meta-codecs тянет как раз flashplayer-mozilla который зависит от libpango1.0-0
Изображение
   
Изображение

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 12 сен 2018, 20:08

hellonet писал(а):
12 сен 2018, 09:00
Игнорировать обновления для этого пакета
Я как бы не сторонник подобных решений, тут либо удалить, либо оставить и обновлять (во избежание со временем каких-либо конфликтов версий на уровне зависимостей)
Chocobo писал(а):
12 сен 2018, 09:29
Сделаем нежнее
Nemo удалил, приоритеты в файлики добавил, МФУ настроил (обновил cups-filters и libsane-common из testing/sid) - всё норм :thumbs:
test-LMDE.jpg
Осталось дело за малым - настроить бамблби.. :smile: :blink:
Chocobo писал(а):
08 сен 2018, 21:02
у меня есть повод обновить на своем оптимусе ось как раз до 19
ещё не обновлял?
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 9111
Зарегистрирован: 27 авг 2016, 19:57
Решено: 198
Откуда: НН
Благодарил (а): 632 раза
Поблагодарили: 2604 раза

LMDE 3 Cindy Mate x64

Сообщение Chocobo » 13 сен 2018, 06:10

AlexZ, неа.
Не понял только, где ты хочешь поднять бамблби. В Синди или в Таре ?
Изображение
   
Изображение

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 13 сен 2018, 08:01

Chocobo писал(а):
13 сен 2018, 06:10
В Синди или в Таре ?
В Синди и Тессе.
В Синди хочу повторить алгоритм настройки в MX.
По Тессе так, на будущее интересуюсь..

Аватара пользователя

hellonet
Сообщения: 960
Зарегистрирован: 11 окт 2016, 09:58
Решено: 3
Откуда: Новосибирск
Благодарил (а): 315 раз
Поблагодарили: 114 раз

LMDE 3 Cindy Mate x64

Сообщение hellonet » 13 сен 2018, 11:21

AlexZ писал(а):
13 сен 2018, 08:01
По Тессе так, на будущее интересуюсь
Дык она только в ноябре-декабре выйдет

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 13 сен 2018, 15:24

hellonet писал(а):
13 сен 2018, 11:21
она только в ноябре-декабре выйдет
я знаю, к тому времени и интересуюсь. просто инфы ещё не попадолось, чтоб бамблби в LM19 работал..
AlexZ писал(а):
13 сен 2018, 08:01
В Синди хочу повторить алгоритм настройки в MX
В МХ такой алгоритм настройки
О выполнении /usr/local/bin/ddm-mx -i nvidia.
Для выполнения этой команды требуются права root.
Используется su...
Введите пароль root в приглашении.
Пароль:
создаю блокировку ...
===================================
Установка драйверов для: nvidia
Начало в (m/d/y): 09/13/2018 20:56:13
===================================
Обновление источников с помощью apt-get update

Продолжить?
1) yes (default)
2) no
Press <Enter> for the default entry
Use 'q' to quit

Сущ:1 http://mirror.truenetwork.ru/mxlinux/antix/stretch stretch InRelease
Сущ:2 http://mirror.truenetwork.ru/mxlinux/mx/repo stretch InRelease
Сущ:3 http://ftp.ru.debian.org/debian stretch-updates InRelease
Игн:4 http://ftp.ru.debian.org/debian stretch InRelease
Сущ:5 http://security.debian.org stretch/updates InRelease
Сущ:6 http://ftp.ru.debian.org/debian stretch Release
Чтение списков пакетов…

обнаружен nvidia-optimus

Кандидат: 3.2.1-14
Установленный: 3.2.1-14

Хотите проверить наличие в debian-бэкпорт более свежей версии?

Да или Нет?

1: Да
2: Нет

Enter Number of selection
2
Ok...
Кандидат: 3.2.1-14
Установленный: 3.2.1-14

nvidia драйвер уже установлен

Переустановить или выйти?

1: Переустановить
2: выход

Введите выбранное число
1
переустановка...


Требуется драйвер:bumblebee-nvidia (3.2.1-14)
packages to install are bumblebee-nvidia nvidia-driver nvidia-kernel-dkms primus primus-libs-ia32:i386 nvidia-settings

Продолжить?
1) yes (default)
2) no
Press <Enter> for the default entry
Use 'q' to quit

Frontend:
Команда Nvidia = apt-get install --reinstall -y --force-yes bumblebee-nvidia nvidia-driver nvidia-kernel-dkms primus primus-libs-ia32:i386 nvidia-settings
Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
dpkg-preconfigure: не удалось заново открыть stdin: No such file or directory
обновлено 0, установлено 0 новых пакетов, переустановлено 3 переустановлено, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 0 B/489 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
(Чтение базы данных … на данный момент установлено 321866 файлов и каталогов.)
Подготовка к распаковке …/build-essential_12.3_amd64.deb …
Распаковывается build-essential (12.3) на замену (12.3) …
Подготовка к распаковке …/firmware-linux-nonfree_20180518-1~mx17+1_all.deb …
Распаковывается firmware-linux-nonfree (20180518-1~mx17+1) на замену (20180518-1~mx17+1) …
Подготовка к распаковке …/linux-headers-4.15.0-1-amd64_4.15.4-1~mx17+1_amd64.deb …
Распаковывается linux-headers-4.15.0-1-amd64 (4.15.4-1~mx17+1) на замену (4.15.4-1~mx17+1) …
Настраивается пакет build-essential (12.3) …
Настраивается пакет firmware-linux-nonfree (20180518-1~mx17+1) …
Настраивается пакет linux-headers-4.15.0-1-amd64 (4.15.4-1~mx17+1) …
Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
dpkg-preconfigure: не удалось заново открыть stdin: No such file or directory
обновлено 0, установлено 0 новых пакетов, переустановлено 6 переустановлено, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 0 B/9 020 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
(Чтение базы данных … на данный момент установлено 321866 файлов и каталогов.)
Подготовка к распаковке …/0-nvidia-driver_384.130-1_amd64.deb …
Распаковывается nvidia-driver (384.130-1) на замену (384.130-1) …
Подготовка к распаковке …/1-nvidia-kernel-dkms_384.130-1_amd64.deb …

-------- Uninstall Beginning --------
Module: nvidia-current
Version: 384.130
Kernel: 4.15.0-1-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
- Uninstallation
- Deleting from: /lib/modules/4.15.0-1-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


nvidia-current-modeset.ko:
- Uninstallation
- Deleting from: /lib/modules/4.15.0-1-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


nvidia-current-drm.ko:
- Uninstallation
- Deleting from: /lib/modules/4.15.0-1-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


nvidia-current-uvm.ko:
- Uninstallation
- Deleting from: /lib/modules/4.15.0-1-amd64/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod.....

DKMS: uninstall completed.

------------------------------
Deleting module version: 384.130
completely from the DKMS tree.
------------------------------
Done.
Распаковывается nvidia-kernel-dkms (384.130-1) на замену (384.130-1) …
Подготовка к распаковке …/2-nvidia-settings_384.111-1~deb9u1_amd64.deb …
Распаковывается nvidia-settings (384.111-1~deb9u1) на замену (384.111-1~deb9u1) …
Подготовка к распаковке …/3-bumblebee-nvidia_3.2.1-14_amd64.deb …
Распаковывается bumblebee-nvidia (3.2.1-14) на замену (3.2.1-14) …
Подготовка к распаковке …/4-primus_0~20150328-4_amd64.deb …
Распаковывается primus (0~20150328-4) на замену (0~20150328-4) …
Подготовка к распаковке …/5-primus-libs-ia32_0~20150328-4_i386.deb …
Распаковывается primus-libs-ia32:i386 (0~20150328-4) на замену (0~20150328-4) …
Настраивается пакет primus-libs-ia32:i386 (0~20150328-4) …
Обрабатываются триггеры для nvidia-alternative (384.130-1) …
Настраивается пакет primus (0~20150328-4) …
Настраивается пакет nvidia-settings (384.111-1~deb9u1) …
Обрабатываются триггеры для libc-bin (2.24-11+deb9u3) …
Настраивается пакет nvidia-kernel-dkms (384.130-1) …
Loading new nvidia-current-384.130 DKMS files...
Building for 4.15.0-1-amd64
Building initial module for 4.15.0-1-amd64
Done.

nvidia-current:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/4.15.0-1-amd64/updates/dkms/

nvidia-current-modeset.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/4.15.0-1-amd64/updates/dkms/

nvidia-current-drm.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/4.15.0-1-amd64/updates/dkms/

nvidia-current-uvm.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/4.15.0-1-amd64/updates/dkms/

depmod...

DKMS: install completed.
Обрабатываются триггеры для man-db (2.7.6.1-2) …
Настраивается пакет bumblebee-nvidia (3.2.1-14) …
[ ok ] Restarting bumblebeed: bumblebeed.
Настраивается пакет nvidia-driver (384.130-1) …
Обрабатываются триггеры для glx-alternative-nvidia (0.8.3~deb9u1) …
Обрабатываются триггеры для update-glx (0.8.3~deb9u1) …
Обрабатываются триггеры для glx-alternative-nvidia (0.8.3~deb9u1) …
Обрабатываются триггеры для libc-bin (2.24-11+deb9u3) …
Обрабатываются триггеры для initramfs-tools (0.130) …
update-initramfs: Generating /boot/initrd.img-4.15.0-1-amd64
I: The initramfs will attempt to resume from /dev/sdc13
I: (UUID=d24d5fb3-b0a4-4635-8913-1a93466bd632)
I: Set the RESUME variable to override this.
live-boot: core filesystems devices utils memdisk udev wget blockdev dns.
Обрабатываются триггеры для bumblebee (3.2.1-14) …
[ ok ] Restarting bumblebeed: bumblebeed.
groupadd: группа «bumblebee» уже существует
groupadd: группа «video» уже существует
[ ok ] Restarting bumblebeed: bumblebeed.
Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
Пакет «nvidia-xconfig» не установлен, поэтому не может быть удалён
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
mv: не удалось выполнить stat для '/etc/X11/xorg.conf': Нет такого файла или каталога
Завершено

Нажмите <Enter> для выхода
Вот сценарий, но это темный лес для меня.. :hoho:

#!/bin/bash

# Exit codes
# 0 - All's well
# 1 - Not root
# 2 - Wrong parameters
# 3 - No driver available
# 4 - Driver not in repository
# 5 - Download error
# 6 - Cannot purge driver
# 7 - Card not supported

###original code from the solydXK project.
####MODIFICATIONS FOR MX by dolphin oracle
##depends: nvidia-detect-mx, nvidia-detect and cli-shell-utils
##modifications assume MX repos for the nvidia drivers
##

#add BitJam's soure cli-shell-utils
source /usr/local/lib/cli-shell-utils/cli-shell-utils.bash

ME=${0##*/}
CLI_PROG="ddm-mx"
LOCK_FILE="/run/lock/$CLI_PROG"
ERR_FILE="/dev/null"
LOG="/var/log/ddm.log"
BP_REPO="stretch-backports"
BP_REPO_ADDRESS="deb http://ftp.debian.org/debian"

TEXTDOMAINDIR=/usr/share/locale
export TEXTDOMAIN="ddm-mx"

UNKNOWN_ERROR=$"Unknown error"
OPTION_ERROR1=$"Option-"
OPTION_ERROR2=$"requires an argument."
RUN_AS_ROOT=$"Run as root"
INSTALL_DRIVERS_FOR=$"Install drivers for: "

NVIDIA_XCONFIG="nvidia-xconfig"


main(){
# -------------------------------------------------------------------------
###file locking
echo $"creating lock ..." | tee -a $LOG
trap clean_up EXIT
do_flock


# --force-yes is deprecated in stretch
FORCE='--force-yes'
source /etc/lsb-release


# -------------------------------------------------------------------------

BACKPORTS=false
PURGE=''
INSTALL=''
TEST=false
while getopts ":bi:p:ht" opt; do
case $opt in
h)
usage
exit 0
;;
i)
# Install
INSTALL="$INSTALL $OPTARG"
;;
p)
# Purge
PURGE="$PURGE $OPTARG"
;;
t)
# Testing
TEST=true
;;
\?)
# Invalid option: start GUI
#launch_gui $@
echo $"Invalid option" | tee -a $LOG
exit 0
;;
:)
echo $OPTIONERROR1$OPTARG $OPTION_ERROR2 | tee -a $LOG
exit 2
;;
*)
# Unknown error: start GUI
#launch_gui $@
echo $"Invalid option" | tee -a $LOG
exit 0
;;
esac
done

# Is there anything to do?
if [ "$INSTALL" == "" ]; then
TEST=false
# if [ "$PURGE" == "" ]; then
# Started without anything to install or purge
#launch_gui $@
# fi
fi

# From here onward: be root
if [ $UID -ne 0 ]; then
echo $RUN_AS_ROOT | tee -a $LOG
exit 1
fi

# If not running in terminal, use GUI frontend
if [ ! -t 1 ]; then
export DEBIAN_FRONTEND=gnome
fi

# Log file for traceback
MAX_SIZE_KB=5120
LOG_SIZE_KB=0
LOG=/var/log/ddm.log
LOG2=/var/log/ddm.log.1
if [ -f $LOG ]; then
LOG_SIZE_KB=$(ls -s $LOG | awk '{print $1}')
if [ $LOG_SIZE_KB -gt $MAX_SIZE_KB ]; then
mv -f $LOG $LOG2
fi
fi

# =========================================================================
# =========================================================================
# =========================================================================
####removed certain options for mx
# Loop through drivers to purge
for DRV in $PURGE; do
# Start the log
echo "===================================" | tee -a $LOG
echo $"Purge drivers for: "$DRV | tee -a $LOG
echo $"Start at (m/d/y):" $(date +"%m/%d/%Y %H:%M:%S") | tee -a $LOG
echo "===================================" | tee -a $LOG

case $DRV in
ati)
install_open
;;
nvidia)
install_open
;;
open)
;;
fixbumblebee)
;;
*)
echo $"ERROR: Unknown argument: $DRV" | tee -a $LOG
echo
usage
exit 2
;;
esac
done
####removed certain options for mx
# Loop through drivers to install
for DRV in $INSTALL; do
# Start the log
echo "===================================" | tee -a $LOG
echo $INSTALL_DRIVERS_FOR $DRV | tee -a $LOG
echo $"Start at (m/d/y):" $(date +"%m/%d/%Y %H:%M:%S") | tee -a $LOG
echo "===================================" | tee -a $LOG

case $DRV in

nvidia)
# Bumblebee: https://wiki.debian.org/Bumblebee
# Get device ids for Nvidia
BCID='10de'
DEVICEIDS=$(lspci -n -d $BCID: | awk '{print $3}' | cut -d':' -f2)

# Testing
if $TEST; then
DEVICEIDS='0a74'
fi

if [ "$DEVICEIDS" == "" ]; then
echo $"No nvidia card found - exiting" | tee -a $LOG
exit 0
fi

# Install the Nvidia drivers
install_nvidia
;;
open)
# Install the open drivers
install_open
;;
fixbumblebee)
# purge nvidia-xconfig and move xorg.conf away
apt-get purge -y $FORCE nvidia-xconfig 2>&1 | tee -a $LOG
mv -f /etc/X11/xorg.conf /etc/X11/xorg.conf.ddm 2>&1 | tee -a $LOG
;;
*)
echo $"ERROR: Unknown argument: " $DRV | tee -a $LOG
echo
usage
exit 2
;;
esac
done

exit 0
}

function usage() {
echo "======================================================================"
echo $"Device Driver Manager Help:"
echo "======================================================================"
echo $"The following options are allowed:"
echo
# echo "-b Use backported packages when available."
echo
echo $"-i driver Install given driver."
# echo " drivers: ati, nvidia, broadcom, open, pae, fixbumblebee"
echo $" drivers: nvidia, open, fixbumblebee"
echo
echo $"-p driver Purge given driver."
# echo " driver: ati, nvidia, broadcom, pae"
echo $" driver: nvidia"
echo
echo $"-f Force DDM to start, even in a Live environment."
echo
echo $"-t For development testing only!"
echo $" This will install drivers for pre-defined hardware."
echo $" Use with -i."
echo
echo "----------------------------------------------------------------------"
# echo "sudo ddm - nvidia -i pae -p broadcom"
# echo "sudo ddm -i \"nvidia pae\" -p broadcom"
# echo "Both commands install nvidia and pae but purges broadcom."
echo "sudo ddm-mx -i nvidia"
# echo "sudo ddm-mx -i ati"
echo "======================================================================"
}



# =========================================================================
# =============================== Functions ===============================
# =========================================================================

# nvidia -------------------------------------------------------------------------

function preseed_nvidia {
CANDIDATE=$1
echo 'nvidia-support nvidia-support/check-xorg-conf-on-removal boolean false' | debconf-set-selections
echo 'nvidia-support nvidia-support/check-running-module-version boolean true' | debconf-set-selections
echo 'nvidia-installer-cleanup nvidia-installer-cleanup/delete-nvidia-installer boolean true' | debconf-set-selections
echo 'nvidia-installer-cleanup nvidia-installer-cleanup/remove-conflicting-libraries boolean true' | debconf-set-selections
echo "nvidia-support nvidia-support/last-mismatching-module-version string $CANDIDATE" | debconf-set-selections
echo 'nvidia-support nvidia-support/needs-xorg-conf-to-enable note ' | debconf-set-selections
echo 'nvidia-support nvidia-support/create-nvidia-conf boolean true' | debconf-set-selections
echo 'nvidia-installer-cleanup nvidia-installer-cleanup/uninstall-nvidia-installer boolean true' | debconf-set-selections
}

function install_nvidia {
USER=$(logname)
ARCHITECTURE=$(uname -m)
DRIVER=$(nvidia-detect-mx |grep INSTALL: |tr -d ' ' |cut -d ':' -f2)
UNSUPPORTED_LEGACY=$(nvidia-detect-mx | grep -e173.14 -e96.43 -e71.86)

# Testing
if $TEST; then
DRIVER='nvidia-driver'
TESTSWITCH="-s"
fi

check_cand

if [ "$CANDIDATE" == "" ]; then
##refresh sources and try again
echo $"Refreshing Sources with apt-get update" | tee -a $LOG
# echo -n $"Press <Enter> to continue or Ctrl-c to exit" | tee -a $LOG
# read x
YES_no $"Continue?"
if [ "$?" = "1" ]; then
exit 0
fi
apt-get update | tee -a $LOG
check_cand
fi

echo ""

#check for possible source install
if [ -e /usr/bin/nvidia-installer ]; then
echo $"Possible previous install from source or smxi/sgfxi detected." | tee -a $LOG
echo $"Version detected: " $(modinfo nvidia | grep ^version: | sed 's/[^0-9.]*//g') | tee -a $LOG
echo $"Latest possible with this script : " $CANDIDATE | tee -a $LOG
echo $"Please remove with <sudo nvidia-install --uninstall> and reboot if you wish to proceed" | tee -a $LOG
exit 0
fi

# Check for Optimus
OPTIMUS=1
if lspci -vnn | grep Intel |grep -q 0300 ; then
if lspci -vnn | grep NVIDIA | grep -q 0302 ; then
echo $"nvidia-optimus detected"
OPTIMUS=2
else
YES_no $"Is this a NVIDIA/INTEL Optimus system?"
if [ $? = 0 ]; then
OPTIMUS=2
fi

fi
fi

if [ $OPTIMUS = 2 ]; then
DRIVER='bumblebee-nvidia'
check_cand
fi
echo ""
echo $"Candidate is: " $CANDIDATE | tee -a $LOG
echo $"Installed is: " $INSTALLED | tee -a $LOG
echo ""

MAIN_CAND=$CANDIDATE
debian_backports_dialog
check_cand

if [ -f /etc/apt/sources.list.d/debian-backports-temp.list ]; then
if [ "$MAIN_CAND" = "$CANDIDATE" ]; then
echo $"Candidate is: " $CANDIDATE | tee -a $LOG
echo $"Debian backports candidate is: " $CANDIDATE |tee -a $LOG
echo $"Installed is: " $INSTALLED | tee -a $LOG
echo ""
BP=""
SWITCH=""
else
echo $"Main repo candidate is: " $MAIN_CAND |tee -a $LOG
echo $"Debian backports candidate is: " $CANDIDATE |tee -a $LOG
echo $"Installed is: " $INSTALLED | tee -a $LOG
echo ""
which_driver
echo ""
fi
else
echo $"Candidate is: " $CANDIDATE | tee -a $LOG
echo $"Installed is: " $INSTALLED | tee -a $LOG
echo ""
fi

if [ "$CANDIDATE" != "" ]; then
if [ "$INSTALLED" = "$CANDIDATE" ]; then
echo $"nvidia driver already installed" | tee -a $LOG
echo "" | tee -a $LOG
echo $"Reinstall or quit?" | tee -a $LOG
echo "" | tee -a $LOG
echo 1: $"Reinstall" | tee -a $LOG
echo 2: $"quit" | tee -a $LOG
echo "" | tee -a $LOG
echo $"Enter Number of selection" | tee -a $LOG
read -n 1 -e x

case $x in
1) echo $"reinstalling"... | tee -a $LOG ;;
2) echo $"exiting"... | tee -a $LOG && exit 0 ;;
*) echo $"invalid option." $"exiting"... | tee -a $LOG && exit 0;;
esac
fi
fi

echo ""

if [ "$DRIVER" == "" ] || [ "$CANDIDATE" == "" ]; then
if [ "$UNSUPPORTED_LEGACY" == "" ]
then
echo $"nvidia driver not available, check your repo sources" | tee -a $LOG
exit 3

else
echo $"Uh oh. Your card is only supported by older legacy drivers which are not in any current Debian suite." | tee -a $LOG
exit 7
fi
fi

echo ""
echo $"Need driver: "$DRIVER "($CANDIDATE)" | tee -a $LOG


# Add additional packages


case $DRIVER in
nvidia-driver) if [ "$ARCHITECTURE" == "x86_64" ]; then
# Additional 32-bit drivers for 64-bit systems
#DRIVER="$DRIVER nvidia-settings nvidia-kernel-dkms libgl1-nvidia-glx:i386 $NVIDIA_XCONFIG"
DRIVER="$DRIVER nvidia-settings nvidia-kernel-dkms $NVIDIA_XCONFIG"
else
DRIVER="$DRIVER nvidia-kernel-dkms nvidia-settings $NVIDIA_XCONFIG"
fi
;;
nvidia-legacy-340xx-driver) if [ "$ARCHITECTURE" == "x86_64" ]; then
DRIVER="$DRIVER nvidia-settings-legacy-340xx nvidia-legacy-340xx-kernel-dkms $NVIDIA_XCONFIG"
else
DRIVER="$DRIVER nvidia-settings-legacy-340xx nvidia-legacy-340xx-kernel-dkms $NVIDIA_XCONFIG"
fi
;;
nvidia-legacy-304xx-driver) if [ "$ARCHITECTURE" == "x86_64" ]; then
DRIVER="$DRIVER nvidia-settings-legacy-304xx nvidia-legacy-304xx-kernel-dkms $NVIDIA_XCONFIG"
else
DRIVER="$DRIVER nvidia-settings-legacy-304xx nvidia-legacy-304xx-kernel-dkms $NVIDIA_XCONFIG"
fi
;;
bumblebee-nvidia) if [ "$DRIVER" == "bumblebee-nvidia" ]; then
# Bumblebee drivers
DRIVER="$DRIVER nvidia-driver nvidia-kernel-dkms primus primus-libs-ia32:i386 nvidia-settings"
fi
;;
*)
echo $"ERROR: Unknown argument: " $DRV | tee -a $LOG
echo | tee -a $LOG
usage
exit 2
esac

echo "$NVIDIA packages to install are " $DRIVER | tee -a $LOG

#echo -n $"Press <Enter> to continue or Ctrl-c to exit" | tee -a $LOG
#read x
YES_no $"Continue?"
if [ "$?" = "1" ]; then
exit 0
fi

# Preseed debconf answers
preseed_nvidia $CANDIDATE

# Install the packages
#apt-get update | tee -a $LOG
echo "Frontend: $(echo $DEBIAN_FRONTEND)" | tee -a $LOG

echo $"Nvidia command " "= apt-get install --reinstall -y $FORCE $SWITCH $BP $DRIVER" | tee -a $LOG
apt-get install --reinstall -y linux-headers-$(uname -r) build-essential firmware-linux-nonfree $TESTSWITCH 2>&1 | tee -a $LOG
apt-get install --reinstall --install-recommends -y $SWITCH $BP $DRIVER $TESTSWITCH 2>&1 | tee -a $LOG


# Configure
if [[ "$DRIVER" =~ "bumblebee-nvidia" ]]; then
if [ "$USER" != "" ] && [ "$USER" != "root" ]; then
groupadd bumblebee
groupadd video
usermod -a -G bumblebee,video $USER
#if [ -f /etc/bumblebee/bumblebee.conf ]; then
#sed -i -e 's/KernelDriver=nvidia\s*$/KernelDriver=nvidia-current/' /etc/bumblebee/bumblebee.conf
#fi
service bumblebeed restart
# Adapt nvidia settings
if [ -f /usr/lib/nvidia/current/nvidia-settings.desktop ]; then
sed -i 's/Exec=nvidia-settings/Exec=optirun -b none nvidia-settings -c :8/' /usr/lib/nvidia/current/nvidia-settings.desktop
fi
# purge nvidia-xconfig and move xorg.conf away
apt-get purge -y $FORCE nvidia-xconfig 2>&1 | tee -a $LOG
mv -f /etc/X11/xorg.conf /etc/X11/xorg.conf.ddm 2>&1 | tee -a $LOG
else
echo $"ERROR: Could not configure Bumblebee for user: " $USER | tee -a $LOG
fi
else
if $TEST; then
echo $"test enabled, not creating xorg.conf file"
#nvidia-xconfig | tee -a $LOG
else
if [ "$NVIDIA_XCONFIG" = "nvidia-xconfig" ]; then
$"creating /etc/X11/xorg.conf file"
nvidia-xconfig | tee -a $LOG
fi
fi
fi

echo $"Finished" | tee -a $LOG

}

# open -------------------------------------------------------------------------

function purge_proprietary_drivers {
rm /etc/X11/xorg.conf 2>/dev/null
rm /etc/modprobe.d/nvidia* 2>/dev/null
rm /etc/modprobe.d/blacklist-nouveau.conf 2>/dev/null
# Leave nvidia-detect and nvidia-installer-cleanup
apt-get purge $FORCE $(apt-cache pkgnames | grep nvidia | grep -v detect | grep -v cleanup | cut -d':' -f1) bumblebee* primus* primus*:i386 2>&1 | tee -a $LOG
# apt-get purge $FORCE bumblebee* primus* primus*:i386 2>&1 | tee -a $LOG

if [ "$?" = "0" ]; then
echo $"Proprietary drivers removed" | tee -a $LOG
fi
}

function install_open {
# Make sure you have the most used drivers installed
# These are installed by default on SolydXK
DRIVER="xserver-xorg-video-nouveau xserver-xorg-video-vesa xserver-xorg-video-intel xserver-xorg-video-fbdev xserver-xorg-video-radeon xserver-xorg-video-ati xserver-xorg-video-nouveau"

# Install the packages
apt-get update
echo "Frontend: $(echo $DEBIAN_FRONTEND)" | tee -a $LOG
echo $"Open command " "= apt-get install --reinstall -y $FORCE $DRIVER" | tee -a $LOG
apt-get install --reinstall $FORCE $DRIVER 2>&1 | tee -a $LOG

if [ "$?" = "0" ]; then
echo $"Open drivers installed" | tee -a $LOG
fi

# Now cleanup
purge_proprietary_drivers
}

clean_up()
{
unflock $LOCK_FILE
echo "" | tee -a $LOG
echo "" | tee -a $LOG
if [ -f /etc/apt/sources.list.d/debian-backports-temp.list ]; then
rm -f /etc/apt/sources.list.d/debian-backports-temp.list
apt-get update
echo ""
fi
echo -n $"Press <Enter> to exit" | tee -a $LOG
read x
}

my_exit() {
local ret=${1:-0}

# Msg "=> cleaning up"
exit $ret
}

enable_debian_backports()
{
#enabling debian-backports
echo $"Enabling backports repo"
echo $"Running apt-get update..."
echo "$BP_REPO_ADDRESS $BP main contrib non-free">>/etc/apt/sources.list.d/debian-backports-temp.list
apt-get update |tee -a $LOG
if [ $? = 100 ]; then
echo $"There was a problem with the apt-get update. See $LOG for details"
my_exit
fi
echo ""
echo $"Installing latest nvidia-detect package"|tee -a $LOG
echo ""
apt-get install $SWITCH $BP nvidia-detect |tee -a $LOG
echo ""
}

debian_backports_dialog()
{
echo $"Would you like to check debian-backports for a later version?" | tee -a $LOG
echo "" | tee -a $LOG
echo $"Yes or No?" | tee -a $LOG
echo "" | tee -a $LOG
echo 1: $"Yes" | tee -a $LOG
echo 2: $"No" | tee -a $LOG
echo "" | tee -a $LOG
echo "Enter Number of selection" | tee -a $LOG
read -n 1 -e x

case $x in
1) echo $"Ok"...| tee -a $LOG
SWITCH="-t"
BP=$BP_REPO
enable_debian_backports ;;
2) echo $"Ok"... | tee -a $LOG
SWITCH=""
BP="" ;;
*) echo $"invalid option." $"exiting"... | tee -a $LOG && exit 0;;
esac
}

which_driver()
{
echo $"Which driver do you wish to install" | tee -a $LOG
echo "" | tee -a $LOG
echo $"Main repos or debian-backports?" | tee -a $LOG
echo "" | tee -a $LOG
echo 1: $"Main" $MAIN_CAND| tee -a $LOG
echo "" | tee -a $LOG
echo 2: $"debian-backports" $CANDIDATE | tee -a $LOG
echo "" | tee -a $LOG
echo 3: $"Exit" | tee -a $LOG
echo "" | tee -a $LOG
echo $"Enter Number of selection" | tee -a $LOG
read -n 1 -e x

case $x in
1) echo $"Ok"...| tee -a $LOG
SWITCH=""
BP=""
;;
2) echo $"Ok"... | tee -a $LOG
#NVIDIA_XCONFIG=""
;;
3) echo $"exiting" |tee -a $LOG && exit 0;;

*) echo $"invalid option." $"exiting"... | tee -a $LOG && exit 0;;
esac
}

check_cand()
{
CANDIDATE=`env LANG=C apt-cache policy $SWITCH $BP $DRIVER | grep Candidate | awk '{print $2}' | tr -d ' '`
INSTALLED=`env LANG=C apt-cache policy $DRIVER | grep Installed | awk '{print $2}' | tr -d ' '`
}



main "$@"

Chocobo, как думаешь, достаточно будет просто установить эти пакеты или в ddm-mx есть что-то оригинальное?

Аватара пользователя

Автор темы
Chocobo
Сообщения: 9111
Зарегистрирован: 27 авг 2016, 19:57
Решено: 198
Откуда: НН
Благодарил (а): 632 раза
Поблагодарили: 2604 раза

LMDE 3 Cindy Mate x64

Сообщение Chocobo » 13 сен 2018, 15:28

AlexZ, Не подскажу, т.к. MX вблизи не разглядывал.
В целом для дебиана есть своя инфа в wiki по bb
https://wiki.debian.org/ru/Bumblebee#A. ... BBDIEOgQw-
Изображение
   
Изображение

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 13 сен 2018, 15:39

Chocobo писал(а):
13 сен 2018, 15:28
MX вблизи не разглядывал
Так то же самое - на базе stable. Если что нужно можно из бэкпортов подтянуть, по умолчанию они отключены. Драйвер-то ставит ещё 384-й из stretch.
Chocobo писал(а):
13 сен 2018, 15:28
в wiki
они то ли не обновляют её, очень много устаревшей инфы. вот и в этом случае - wheezy - когда это было?..

Аватара пользователя

Автор темы
Chocobo
Сообщения: 9111
Зарегистрирован: 27 авг 2016, 19:57
Решено: 198
Откуда: НН
Благодарил (а): 632 раза
Поблагодарили: 2604 раза

LMDE 3 Cindy Mate x64

Сообщение Chocobo » 13 сен 2018, 15:43

визи был 7-м. в начале июня сняли с поддержки его.
Но с джесси и LMDE2 у меня работало как описано, не исключено что и здесь пакет подготовлен к аналогичному поведению в stretch/cindy
Изображение
   
Изображение

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 16 сен 2018, 13:47

Chocobo писал(а):
13 сен 2018, 15:43
не исключено что и здесь пакет подготовлен к аналогичному поведению в stretch/cindy
вобщем попробовал оба варианта - спотыкается на пакетах primus.. :sad:
alex@acer:~$ sudo apt install bumblebee-nvidia primus primus-libs:i386
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
primus : Зависит: socat но он не будет установлен
Зависит: primus-libs (= 0~20150328-4) но он не будет установлен
primus-libs:i386 : Зависит: libc6:i386 (>= 2.4) но он не будет установлен
Зависит: libgcc1:i386 (>= 1:3.0) но он не будет установлен
Зависит: libstdc++6:i386 (>= 5.2) но он не будет установлен
Зависит: libx11-6:i386 но он не будет установлен
Зависит: libgl1-mesa-glx:i386 но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
alex@acer:~$ dpkg --print-foreign-architectures
i386
alex@acer:~$ dpkg --print-architecture
amd64

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 16 сен 2018, 14:09

В MX другой набор пакетов:
packages to install are bumblebee-nvidia nvidia-driver nvidia-kernel-dkms primus primus-libs-ia32:i386 nvidia-settings
Попробовал без 32-битного пакета, чего-то шмель не взлетел.. :no:

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 16 сен 2018, 15:56

По ходу я когда сканер настраивал, занес свежие пакеты из sid и возможно из-за этого конфликт. Попробую откатить назад и на чистом debian stable настроить. В MX же работает шмель, значит и в LMDE должен..

Аватара пользователя

AlexZ
Сообщения: 1110
Зарегистрирован: 06 янв 2018, 18:06
Решено: 3
Откуда: Горно-Алтайск
Благодарил (а): 167 раз
Поблагодарили: 136 раз

LMDE 3 Cindy Mate x64

Сообщение AlexZ » 16 сен 2018, 19:08

Не, sid не причем, вернул пакеты обратно - ничего не изменилось.
В MX все эти либы присутствуют..
alex@mx:~
$ apt policy primus-libs:i386
primus-libs:i386:
Установлен: 0~20150328-4
Кандидат: 0~20150328-4
Таблица версий:
*** 0~20150328-4 500
500 http://ftp.ru.debian.org/debian stretch/main i386 Packages
100 /var/lib/dpkg/status
alex@mx:~
$ apt policy libc6:i386
libc6:i386:
Установлен: 2.24-11+deb9u3
Кандидат: 2.24-11+deb9u3
Таблица версий:
*** 2.24-11+deb9u3 500
500 http://ftp.ru.debian.org/debian stretch/main i386 Packages
100 /var/lib/dpkg/status
2.24-11+deb9u1 500
500 http://security.debian.org stretch/updates/main i386 Packages
alex@mx:~
$ apt policy libgcc1:i386
libgcc1:i386:
Установлен: 1:6.3.0-18+deb9u1
Кандидат: 1:6.3.0-18+deb9u1
Таблица версий:
*** 1:6.3.0-18+deb9u1 500
500 http://ftp.ru.debian.org/debian stretch/main i386 Packages
500 http://security.debian.org stretch/updates/main i386 Packages
100 /var/lib/dpkg/status
alex@mx:~
$ apt policy libstdc++6:i386
libstdc++6:i386:
Установлен: 6.3.0-18+deb9u1
Кандидат: 6.3.0-18+deb9u1
Таблица версий:
*** 6.3.0-18+deb9u1 500
500 http://ftp.ru.debian.org/debian stretch/main i386 Packages
500 http://security.debian.org stretch/updates/main i386 Packages
100 /var/lib/dpkg/status
alex@mx:~
$ apt policy libx11-6:i386
libx11-6:i386:
Установлен: 2:1.6.4-3
Кандидат: 2:1.6.4-3
Таблица версий:
*** 2:1.6.4-3 500
500 http://ftp.ru.debian.org/debian stretch/main i386 Packages
100 /var/lib/dpkg/status
alex@mx:~
$ apt policy libgl1-mesa-glx:i386
libgl1-mesa-glx:i386:
Установлен: 13.0.6-1+b2
Кандидат: 13.0.6-1+b2
Таблица версий:
*** 13.0.6-1+b2 500
500 http://ftp.ru.debian.org/debian stretch/main i386 Packages
100 /var/lib/dpkg/status
Уже ничего не понимаю, одна и та же база, почему в LMDE не хочет устанавливать (вернее то вообще не вариант)
lex@acer:~$ sudo apt install primus-libs:i386
[sudo] пароль для alex:
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
primus-libs:i386 : Зависит: libc6:i386 (>= 2.4) но он не будет установлен
Зависит: libgcc1:i386 (>= 1:3.0) но он не будет установлен
Зависит: libstdc++6:i386 (>= 5.2) но он не будет установлен
Зависит: libx11-6:i386 но он не будет установлен
Зависит: libgl1-mesa-glx:i386 но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
alex@acer:~$ apt policy libc6:i386
libc6:i386:
Установлен: (отсутствует)
Кандидат: 2.24-11+deb9u3
Таблица версий:
2.27-6 90
90 https://deb.debian.org/debian testing/main i386 Packages
80 https://deb.debian.org/debian unstable/main i386 Packages
2.24-11+deb9u3 500
500 https://deb.debian.org/debian stretch/main i386 Packages
2.24-11+deb9u1 500
500 http://security.debian.org stretch/updates/main i386 Packages
alex@acer:~$ apt install libc6:i386
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
caja-extensions-common grub2-theme-mint libmatemixer-common libopenal-data
libsane-extras-common libwildmidi-config mate-media-common python-caja-common vlc-data
vlc-l10n
Для их удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
gcc-6-base:i386 libgcc1:i386
Предлагаемые пакеты:
glibc-doc:i386 debconf:i386 | debconf-2.0:i386 locales:i386
Пакеты, которые будут УДАЛЕНЫ:
accountsservice acl acpi-support acpi-support-base acpid adduser adwaita-icon-theme
alsa-utils anacron apg apparmor appstream apt apt-clone apt-file apt-transport-https
apt-utils aptdaemon aptitude apturl apturl-common aspell aspell-en at-spi2-core
avahi-autoipd avahi-daemon avahi-utils baobab base-files base-passwd bash bash-completion
bc bind9-host binutils blueberry bluetooth bluez bluez-obexd bluez-tools brltty
bsdmainutils bsdutils btrfs-progs btrfs-tools bubblewrap build-essential bzip2
ca-certificates ca-certificates-java cabextract caja caja-admin caja-common
caja-open-terminal caribou cdrdao cifs-utils cjs cli-common coinor-libcbc3 coinor-libcgl1
coinor-libclp1 coinor-libcoinmp1v5 coinor-libcoinutils3v5 coinor-libosi1v5 colord
command-not-found console-setup console-setup-linux coreutils cpio cpp cpp-6
cracklib-runtime crda cron cryptsetup cryptsetup-bin cups-browsed cups-bsd cups-client
cups-daemon cups-filters cups-filters-core-drivers cups-pk-helper cups-ppdc curl dash dbus
dbus-user-session dbus-x11 dc dconf-cli dconf-editor dconf-gsettings-backend dconf-service
dcraw dctrl-tools deb-multimedia-keyring debconf debconf-i18n debian-archive-keyring
debian-system-adjustments debianutils default-jre default-jre-headless desktop-file-utils
dh-python dialog dictionaries-common diffstat diffutils dirmngr dkms dmeventd dmidecode
dmraid dmsetup dnsmasq-base dnsutils doc-base docbook-xml dosfstools dpkg dpkg-dev
dpkg-repack e2fslibs e2fsprogs ecryptfs-utils ed edid-decode efibootmgr eject enchant
engrampa engrampa-common evolution-data-server evolution-data-server-common exfat-fuse
exfat-utils exiv2 fakeroot file findutils firmware-ipw2x00 firmware-ivtv
flashplayer-mozilla flatpak fontconfig fontconfig-config fonts-cantarell fonts-deva
fonts-deva-extra fonts-gujr fonts-indic fonts-kacst fonts-kacst-one fonts-kalapi
fonts-mlym fonts-nanum fonts-sil-abyssinica fonts-smc foomatic-db-compressed-ppds ftp fuse
fwupd fwupdate g++ g++-6 gawk gcc gcc-6 gconf-service gconf2 gconf2-common gcr gdb
gdbserver gdebi gdebi-core gdisk genisoimage geoclue-2.0 gettext gettext-base ghostscript
ghostscript-x gimp gir1.2-accountsservice-1.0 gir1.2-appindicator3-0.1
gir1.2-appstream-1.0 gir1.2-atk-1.0 gir1.2-atspi-2.0 gir1.2-caja gir1.2-caja-2.0
gir1.2-caribou-1.0 gir1.2-clutter-1.0 gir1.2-clutter-gst-3.0 gir1.2-cogl-1.0
gir1.2-coglpango-1.0 gir1.2-cvc-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0
gir1.2-flatpak-1.0 gir1.2-freedesktop gir1.2-gdesktopenums-3.0 gir1.2-gdkpixbuf-2.0
gir1.2-gkbd-3.0 gir1.2-glib-2.0 gir1.2-gnomebluetooth-1.0 gir1.2-gnomedesktop-3.0
gir1.2-gnomekeyring-1.0 gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-gtk-3.0
gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-gtop-2.0 gir1.2-gudev-1.0
gir1.2-gusb-1.0 gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-4.0 gir1.2-json-1.0
gir1.2-keybinder-3.0 gir1.2-mate-desktop gir1.2-mate-panel gir1.2-matedesktop-2.0
gir1.2-matepanelapplet-4.0 gir1.2-networkmanager-1.0 gir1.2-nmgtk-1.0 gir1.2-notify-0.7
gir1.2-packagekitglib-1.0 gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-polkit-1.0 gir1.2-rb-3.0
gir1.2-secret-1 gir1.2-soup-2.4 gir1.2-udisks-2.0 gir1.2-upowerglib-1.0 gir1.2-vte-2.91
gir1.2-webkit2-4.0 gir1.2-wnck-3.0 gir1.2-xapp-1.0 gir1.2-xkl-1.0 gir1.2-xplayer-1.0
gir1.2-xplayer-plparser-1.0 gkbd-capplet gksu glib-networking glib-networking-services
gnome-bluetooth gnome-calculator gnome-calendar gnome-disk-utility gnome-font-viewer
gnome-icon-theme gnome-icon-theme-symbolic gnome-keyring gnome-logs gnome-menus
gnome-online-accounts gnome-orca gnome-power-manager gnome-screenshot gnome-session-bin
gnome-session-canberra gnome-settings-daemon gnome-system-monitor gnome-terminal
gnome-themes-standard gnupg gnupg-agent gpgv grep groff-base growisofs grub-common grub-pc
grub-pc-bin grub2-common gsettings-desktop-schemas gstreamer1.0-alsa
gstreamer1.0-clutter-3.0 gstreamer1.0-libav gstreamer1.0-packagekit
gstreamer1.0-plugins-bad gstreamer1.0-plugins-base gstreamer1.0-plugins-base-apps
gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio
gstreamer1.0-tools gstreamer1.0-vaapi gstreamer1.0-x gtk-update-icon-cache gtk2-engines
gtk2-engines-murrine gtk2-engines-pixbuf gucharmap gufw guile-2.0-libs gvfs gvfs-backends
gvfs-bin gvfs-common gvfs-daemons gvfs-fuse gvfs-libs gzip haveged hddtemp hdparm hexchat
hfsplus hfsprogs hfsutils hostname hplip-data hunspell-en-us hunspell-ru hw-probe hwdata
hwinfo hyphen-ru ideviceinstaller ifupdown im-config imagemagick imagemagick-6.q16 info
init init-system-helpers initramfs-tools initramfs-tools-core inputattach install-info
intltool-debian inxi ippusbxd iproute2 iptables iputils-arping iputils-ping
iputils-tracepath irqbalance isc-dhcp-client isc-dhcp-common iw jfsutils kbd
keyboard-configuration keyutils kmod kpartx laptop-detect less liba52-0.7.4 libaa1
libabw-0.1-1 libaccountsservice0 libacl1 libamd2 libao4 libapparmor-perl libapparmor1
libappindicator3-1 libappstream-glib8 libappstream4 libapt-inst2.0 libapt-pkg-perl
libapt-pkg5.0 libarchive-zip-perl libarchive13 libaribb24-0 libaribb25-0 libasan3
libasound2 libasound2-plugins libaspell15 libass9 libassuan0 libasyncns0 libatasmart4
libatk-adaptor libatk-bridge2.0-0 libatk-wrapper-java libatk-wrapper-java-jni libatk1.0-0
libatkmm-1.6-1v5 libatomic1 libatspi2.0-0 libattr1 libaudio2 libaudit1 libavahi-client3
libavahi-common3 libavahi-core7 libavahi-glib1 libavc1394-0 libavcodec57 libavformat57
libavutil55 libayatana-appindicator3-1 libayatana-ido3-0.4-0 libayatana-indicator3-7
libbabeltrace-ctf1 libbabeltrace1 libbabl-0.1-0 libbasicusageenvironment1 libbind9-140
libblas3 libblkid1 libbluetooth3 libbluray1 libbluray2 libboost-chrono1.62.0
libboost-date-time1.62.0 libboost-filesystem1.62.0 libboost-iostreams1.62.0
libboost-locale1.62.0 libboost-system1.62.0 libboost-thread1.62.0 libbrlapi0.6 libbs2b0
libbsd0 libbz2-1.0 libc-bin libc-dev-bin libc6 libc6-dev libcaca0 libcairo-gobject-perl
libcairo-gobject2 libcairo-perl libcairo2 libcairomm-1.0-1v5 libcaja-extension1 libcamd2
libcamel-1.2-59 libcanberra-gtk0 libcanberra-gtk3-0 libcanberra-pulse libcanberra0
libcap-ng0 libcap2 libcap2-bin libcaribou0 libcc1-0 libccolamd2 libcddb2 libcdio-cdda1
libcdio-paranoia1 libcdio13 libcdparanoia0 libcdr-0.1-1 libcgi-fast-perl libcgi-pm-perl
libchamplain-0.12-0 libchamplain-gtk-0.12-0 libcholmod3 libchromaprint1 libcilkrts5
libcjs-dbg libcjs0f libclass-accessor-perl libclone-perl libclucene-contribs1v5
libclucene-core1v5 libclutter-1.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0
libcmis-0.5-5v5 libcogl-pango20 libcogl-path20 libcogl20 libcolamd2 libcolord2
libcolorhug2 libcomerr2 libcrack2 libcroco3 libcryptsetup4 libcrystalhd3 libcups2
libcupscgi1 libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3
libcurl3-gnutls libcvc-dbg libcvc0 libcwidget3v5 libdaemon0 libdata-dump-perl libdatrie1
libdb5.3 libdbus-1-3 libdbus-glib-1-2 libdbus-glib2.0-cil libdbus2.0-cil libdbusmenu-glib4
libdbusmenu-gtk3-4 libdc1394-22 libdca0 libdconf1 libdebconfclient0 libdee-1.0-4
libdevmapper-event1.02.1 libdevmapper1.02.1 libdfu1 libdigest-hmac-perl libdjvulibre21
libdmapsharing-3.0-2 libdmraid1.0.0.rc16 libdns-export162 libdns162 libdotconf0
libdouble-conversion1 libdpkg-perl libdrm-amdgpu1 libdrm-intel1 libdrm-nouveau2
libdrm-radeon1 libdrm2 libdv4 libdvbpsi10 libdvdcss2 libdvdnav4 libdvdread4 libdw1
libe-book-0.1-1 libebackend-1.2-10 libebitdo1 libebml4v5 libebook-1.2-16
libebook-contacts-1.2-2 libecal-1.2-19 libecryptfs1 libedata-book-1.2-25
libedata-cal-1.2-28 libedataserver-1.2-22 libedataserverui-1.2-1 libedit2 libefiboot1
libefivar1 libegl1-mesa libelf1 libenchant1c2a libencode-locale-perl libeot0 libepoxy0
libept1.5.0 libespeak-ng1 libestr0 libetonyek-0.1-1 libevdev2 libevent-2.0-5 libexempi3
libexif12 libexiv2-14 libexpat1 libexporter-tiny-perl libexttextcat-2.0-0
libextutils-depends-perl libextutils-pkgconfig-perl libfaac0 libfaad2 libfakeroot
libfastjson4 libfcgi-perl libfdisk1 libfdk-aac1 libffi6 libfftw3-double3 libfftw3-single3
libfile-basedir-perl libfile-copy-recursive-perl libfile-desktopentry-perl
libfile-fcntllock-perl libfile-listing-perl libfile-mimeinfo-perl libflac8 libflatpak0
libflite1 libfluidsynth1 libfontconfig1 libfontembed1 libfontenc1 libfreehand-0.1-1
libfreetype6 libfribidi0 libfuse2 libfwup1 libfwupd1 libgail-3-0 libgail-common libgail18
libgbm1 libgc1c2 libgcab-1.0-0 libgcc-6-dev libgcc1 libgck-1-0 libgconf-2-4
libgconf2.0-cil libgcr-base-3-1 libgcr-ui-3-1 libgcrypt20 libgd3 libgdata22
libgdbm-compat4 libgdbm3 libgdbm5 libgdiplus libgdk-pixbuf2.0-0 libgee-0.8-2 libgegl-0.3-0
libgeoclue-2-0 libgeocode-glib0 libgeoip1 libgfortran3 libgif7 libgimp2.0
libgirepository-1.0-1 libgksu2-0 libgl1-mesa-dri libgl1-mesa-glx libglade2-0 libglapi-mesa
libgle3 libgles2-mesa libglew2.0 libglib-object-introspection-perl libglib-perl
libglib2.0-0 libglib2.0-bin libglib2.0-cil libglibmm-2.4-1v5 libgltf-0.0-0v5 libglu1-mesa
libgme0 libgmime-2.6-0 libgmime2.6-cil libgmp10 libgnome-bluetooth13 libgnome-desktop-3-12
libgnome-keyring0 libgnomekbd-common libgnomekbd8 libgnutls30 libgoa-1.0-0b
libgoa-1.0-common libgoa-backend-1.0-1 libgomp1 libgpg-error0 libgpgme11 libgpgmepp6
libgphoto2-6 libgphoto2-port12 libgpm2 libgpod-common libgpod4 libgraphite2-3
libgrilo-0.3-0 libgroupsock8 libgs9 libgsm1 libgspell-1-1 libgssapi-krb5-2
libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libgtk-3-0
libgtk-3-bin libgtk-3-common libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgtk2.0-cil
libgtk3-perl libgtkmm-2.4-1v5 libgtkmm-3.0-1v5 libgtksourceview-3.0-1 libgtkspell0
libgtop-2.0-10 libgucharmap-2-90-7 libgudev-1.0-0 libgusb2 libgutenprint2 libgweather-3-6
libgweather-common libgxps2 libhal1-flash libharfbuzz-icu0 libharfbuzz0b libhavege1
libhd21 libhfsp0 libhogweed4 libhpmud0 libhtml-parser-perl libhtml-tagset-perl
libhtml-tree-perl libhttp-cookies-perl libhttp-date-perl libhttp-message-perl
libhttp-negotiate-perl libhunspell-1.4-0 libhyphen0 libibus-1.0-5 libical2 libice6
libicu57 libidn11 libidn2-0 libiec61883-0 libieee1284-3 libijs-0.35 libilbc2 libilmbase12
libimobiledevice-utils libimobiledevice6 libindicator3-7 libinput-bin libinput10
libio-html-perl libio-pty-perl libio-socket-inet6-perl libio-string-perl libip4tc0
libip6tc0 libipc-run-perl libipc-system-simple-perl libiptc0 libisc-export160 libisc160
libisccc140 libisccfg140 libisl15 libitm1 libiw30 libjack-jackd2-0 libjansson4
libjavascriptcoregtk-4.0-18 libjbig0 libjbig2dec0 libjim0.76 libjpeg-turbo-progs
libjpeg62-turbo libjson-glib-1.0-0 libk5crypto3 libkate1 libkeybinder-3.0-0 libkeyutils1
libkmod2 libkpathsea6 libkrb5-3 libkrb5support0 libksba8 libkvazaar3 liblangtag1
liblapack3 liblcms2-2 liblcms2-utils libldap-2.4-2 libldb1 liblightdm-gobject-1-0
liblilv-0-0 liblirc-client0 liblist-moreutils-perl liblivemedia58 libllvm3.9
liblocale-gettext-perl liblogging-stdlog0 liblognorm5 liblouis12 liblouisutdml-bin
liblouisutdml7 liblqr-1-0 liblsan0 libltdl7 liblua5.2-0 liblvm2app2.2 liblvm2cmd2.02
liblwp-mediatypes-perl liblwres141 liblz4-1 liblzma5 liblzo2-2 libmad0 libmagic1
libmagickcore-6.q16-3 libmagickwand-6.q16-3 libmarco-private1 libmate-desktop-2-17
libmate-menu2 libmate-panel-applet-4-1 libmate-slab0 libmate-window-settings1 libmatedict6
libmatekbd-common libmatekbd4 libmatemixer0 libmateweather-common libmateweather1
libmatroska6v5 libmbim-glib4 libmbim-proxy libmetacity1 libmetis5 libmfx0 libmhash2
libmicrodns0 libminiupnpc10 libmjpegutils-2.1-0 libmm-glib0 libmms0 libmng1 libmnl0
libmodplug1 libmono-addins-gui0.2-cil libmono-addins0.2-cil libmono-cairo4.0-cil
libmono-corlib4.5-cil libmono-posix4.0-cil libmono-security4.0-cil
libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil libmono-system-core4.0-cil
libmono-system-drawing4.0-cil libmono-system-security4.0-cil libmono-system-xml4.0-cil
libmono-system4.0-cil libmount1 libmozjs-52-0 libmp3lame0 libmpc3 libmpcdec6 libmpdec2
libmpeg2-4 libmpeg2encpp-2.1-0 libmpfr4 libmpg123-0 libmplex2-2.1-0 libmpx2 libmspack0
libmspub-0.1-1 libmtdev1 libmtp-runtime libmtp9 libmuffin0 libmusicbrainz5-2
libmusicbrainz5cc2v5 libmwaw-0.3-3 libmythes-1.2-0 libnatpmp1 libnautilus-extension1a
libncurses5 libncursesw5 libndp0 libneon27-gnutls libnet-dns-perl libnet-domain-tld-perl
libnet-http-perl libnet-ip-perl libnetfilter-conntrack3 libnetpbm10 libnettle6 libnewt0.52
libnfnetlink0 libnfs8 libnghttp2-14 libnl-3-200 libnl-genl-3-200 libnm-glib-vpn1
libnm-glib4 libnm-gtk0 libnm-util2 libnm0 libnma0 libnotify-bin libnotify4 libnpth0
libnspr4 libnss-mdns libnss-myhostname libnss-systemd libnss3 libntfs-3g871 libnuma1
liboauth0 libodbc1 libodfgen-0.1-1 libofa0 libogg0 libopenal1 libopencore-amrnb0
libopencore-amrwb0 libopenexr22 libopenh264-2 libopenjp2-7 libopenmpt0 libopenobex2
libopus0 liborc-0.4-0 liborcus-0.11-0 libostree-1-1 libp11-kit0 libpackagekit-glib2-18
libpagemaker-0.0-0 libpam-cap libpam-gnome-keyring libpam-modules libpam-modules-bin
libpam-runtime libpam-systemd libpam0g libpango-1.0-0 libpango-perl libpango1.0-0
libpangocairo-1.0-0 libpangoft2-1.0-0 libpangomm-1.4-1v5 libpangox-1.0-0 libpangoxft-1.0-0
libpaper-utils libpaper1 libparse-debianchangelog-perl libparted2 libpcap0.8 libpcaudio0
libpci3 libpciaccess0 libpcre16-3 libpcre2-8-0 libpcre3 libpcsclite1 libpeas-1.0-0
libpeas-1.0-python2loader libperl5.24 libperl5.26 libphonenumber7 libpipeline1
libpixman-1-0 libpkcs11-helper1 libplist3 libplymouth4 libpng16-16 libpolkit-agent-1-0
libpolkit-backend-1-0 libpolkit-gobject-1-0 libpoppler-glib8 libpoppler64 libpopt0
libprocps6 libprotobuf-lite10 libprotobuf10 libproxy1-plugin-gsettings
libproxy1-plugin-networkmanager libproxy1v5 libpsl5 libpulse-mainloop-glib0 libpulse0
libpulsedsp libpwquality1 libpython-stdlib libpython2.7 libpython2.7-stdlib
libpython3-stdlib libpython3.5 libpython3.5-minimal libpython3.5-stdlib libqmi-glib5
libqmi-proxy libqpdf17 libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5svg5
libqt5widgets5 libqt5x11extras5 libquadmath0 libquvi-0.9-0.9.3 libquvi-scripts-0.9
libraptor2-0 librarian0 librasqal3 libraw1394-11 libraw15 librdf0 libreadline5
libreadline7 libregexp-assemble-perl libreoffice libreoffice-avmedia-backend-gstreamer
libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc
libreoffice-common libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk3
libreoffice-help-common libreoffice-help-en-us libreoffice-help-ru libreoffice-impress
libreoffice-java-common libreoffice-l10n-ru libreoffice-math libreoffice-ogltrans
libreoffice-pdfimport libreoffice-report-builder-bin libreoffice-sdbc-hsqldb
libreoffice-style-breeze libreoffice-style-colibre libreoffice-style-mint
libreoffice-style-sifr libreoffice-style-tango libreoffice-writer libresid-builder0c2a
librest-0.7-0 librevenge-0.0-0 librhythmbox-core10 librsvg2-2 librsvg2-common librtmp1
libsamplerate0 libsane libsane-common libsane-extras libsane-hpaio libsasl2-2
libsasl2-modules-db libsbc1 libsdl1.2debian libseccomp2 libsecret-1-0 libselinux1
libsemanage1 libsensors4 libsepol1 libserd-0-0 libsgutils2-2 libshine3 libshout3
libsidplay1v5 libsidplay2 libsigc++-2.0-0v5 libsigsegv2 libslang2 libsm6 libsmartcols1
libsmbclient libsmbios2 libsnappy1v5 libsndfile1 libsndio6.1 libsnmp30 libsocket6-perl
libsonic0 libsord-0-0 libsoundtouch1 libsoup-gnome2.4-1 libsoup2.4-1 libsoxr0 libspandsp2
libspectre1 libspeechd2 libspeex1 libspeexdsp1 libsqlite3-0 libsratom-0-0 libsrtp0 libss2
libssh-4 libssh2-1 libssl1.0.2 libssl1.1 libstartup-notification0 libstdc++-6-dev
libstdc++6 libstemmer0d libsub-name-perl libsuitesparseconfig4 libswresample2 libswscale4
libsystemd0 libtag1v5 libtag1v5-vanilla libtalloc2 libtasn1-6 libtdb1 libteamdctl0
libtelepathy-glib0 libtevent0 libtext-charwidth-perl libtext-iconv-perl
libtext-levenshtein-perl libtext-wrapi18n-perl libthai0 libtheora0 libtiff5
libtimedate-perl libtinfo5 libtotem-plparser18 libtsan0 libtspi1 libturbojpeg0 libtwolame0
libubsan0 libudev1 libudisks2-0 libumfpack5 libunistring0 libunshield0 libupnp6
libupower-glib3 liburi-perl libusageenvironment3 libusb-0.1-4 libusb-1.0-0 libusbmuxd4
libustr-1.0-1 libuuid-perl libuuid1 libv4l-0 libv4lconvert0 libva-drm1 libva-wayland1
libva-x11-1 libva1 libvdpau1 libvisio-0.1-1 libvisual-0.4-0 libvisual-0.4-plugins
libvlc-bin libvlc5 libvlccore9 libvo-aacenc0 libvo-amrwbenc0 libvorbis0a libvorbisenc2
libvorbisfile3 libvpx4 libvte-2.91-0 libwacom-bin libwacom2 libwavpack1 libwayland-client0
libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libwbclient0
libwebkit2gtk-4.0-37 libwebp6 libwebpdemux2 libwebpmux2 libwebrtc-audio-processing1
libwildmidi2 libwmf0.2-7 libwnck-3-0 libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4 libwrap0
libwww-robotrules-perl libx11-6 libx11-protocol-perl libx11-xcb1 libx264-150 libx265-116
libx86-1 libx86emu1 libxapian30 libxapp1 libxatracker2 libxau6 libxaw7 libxcb-dri2-0
libxcb-dri3-0 libxcb-glx0 libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-present0
libxcb-randr0 libxcb-render-util0 libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-sync1
libxcb-util0 libxcb-xf86dri0 libxcb-xfixes0 libxcb-xinerama0 libxcb-xkb1 libxcb-xv0
libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfixes3 libxfont1
libxfont2 libxft2 libxi6 libxinerama1 libxkbcommon-x11-0 libxkbcommon0 libxkbfile1
libxklavier16 libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-perl libxml2
libxmu6 libxmuu1 libxplayer-plparser18 libxplayer0 libxpm4 libxpresent1 libxrandr2
libxreaderdocument3 libxreaderview3 libxrender1 libxres1 libxshmfence1 libxslt1.1 libxss1
libxt6 libxtables12 libxtst6 libxv1 libxvidcore4 libxvmc1 libxxf86dga1 libxxf86vm1
libyajl2 libyaml-0-2 libyaml-libyaml-perl libyaml-tiny-perl libyelp0 libzbar0
libzeitgeist-2.0-0 libzip4 libzvbi0 lightdm lightdm-settings linux-base
linux-compiler-gcc-6-x86 linux-headers-4.9.0-8-amd64 linux-headers-amd64
linux-image-4.17.0-0.bpo.3-amd64 linux-image-amd64 linux-kbuild-4.9 linuxmint-keyring
lm-sensors locales login logrotate lp-solve lsb-release lshw lsof ltrace lua-bitop
lua-expat lua-json lua-lpeg lua-socket lvm2 lzma m4 make makedev man-db marco marco-common
mate-control-center mate-control-center-common mate-desktop mate-desktop-common
mate-desktop-environment mate-desktop-environment-core mate-desktop-environment-extras
mate-icon-theme mate-media mate-menus mate-notification-daemon
mate-notification-daemon-common mate-panel mate-polkit mate-power-manager
mate-power-manager-common mate-screensaver mate-screensaver-common mate-session-manager
mate-settings-daemon mate-settings-daemon-common mate-terminal mate-terminal-common
mate-themes mate-utils mate-utils-common mawk media-player-info memtest86+ mesa-utils
metacity metacity-common mint-common mint-meta-codecs mint-meta-core mintbackup
mintdesktop mintinstall mintlocale mintmenu mintsources mintstick mintsystem mintupdate
mintwelcome mlocate modemmanager mokutil mono-4.0-gac mono-gac mono-runtime
mono-runtime-common mono-runtime-sgen mount mousetweaks mozo mscompress mtools mtr-tiny
muffin muffin-common muffin-dbg multiarch-support mythes-ru nano nautilus-data ncurses-bin
net-tools netcat-openbsd netpbm network-manager network-manager-gnome
network-manager-openvpn network-manager-openvpn-gnome network-manager-pptp
network-manager-pptp-gnome ntfs-3g obex-data-server odbcinst odbcinst1debian2 onboard
onboard-common openjdk-8-jre openjdk-8-jre-headless openprinting-ppds openssh-client
openssl openvpn os-prober p11-kit p11-kit-modules p7zip p7zip-full packagekit
packagekit-tools parted passwd patch patchutils pciutils pcmciautils perl perl-base
perl-modules-5.24 perl-modules-5.26 perl-openssl-defaults pinentry-curses pinentry-gnome3
pix pix-data pix-dbg pkg-config plymouth policykit-1 policykit-1-gnome poppler-data
poppler-utils ppp pppconfig pppoeconf pptp-linux printer-driver-brlaser
printer-driver-c2050 printer-driver-c2esp printer-driver-cjet printer-driver-dymo
printer-driver-escpr printer-driver-foo2zjs-common printer-driver-hpijs
printer-driver-m2300w printer-driver-min12xxw printer-driver-pnm2ppa printer-driver-ptouch
printer-driver-pxljr printer-driver-sag-gdi procps psmisc pulseaudio
pulseaudio-module-bluetooth pulseaudio-utils python python-apt python-cairo python-caja
python-chardet python-configobj python-crypto python-dbus python-gdbm python-gi
python-glade2 python-gobject-2 python-gtk2 python-ldb python-mate-menu python-minimal
python-numpy python-parted python-pkg-resources python-requests python-samba
python-setproctitle python-six python-talloc python-tdb python-urllib3 python-xdg
python-xlib python2.7 python2.7-minimal python3 python3-apt python3-aptdaemon
python3-aptdaemon.gtk3widgets python3-brlapi python3-bs4 python3-cairo python3-chardet
python3-configobj python3-crypto python3-cups python3-cupshelpers python3-dbus
python3-debian python3-defer python3-gdbm python3-gi python3-gi-cairo python3-httplib2
python3-louis python3-mako python3-markupsafe python3-minimal python3-pampy
python3-pexpect python3-pil python3-pkg-resources python3-psutil python3-ptyprocess
python3-pyatspi python3-pycurl python3-pyinotify python3-reportlab python3-reportlab-accel
python3-requests python3-setproctitle python3-six python3-speechd python3-systemd
python3-uno python3-urllib3 python3-xapp python3-xdg python3-xlib python3.5
python3.5-minimal qpdf qt5-gtk-platformtheme qt5-style-plugins rarian-compat rdate
readline-common redshift redshift-gtk reiserfsprogs rename rfkill rhythmbox rhythmbox-data
rhythmbox-plugin-tray-icon rhythmbox-plugins rsync rsyslog rtkit samba-common
samba-common-bin samba-libs sane-utils scrollkeeper seahorse sed sgml-base sgml-data
shared-mime-info simple-scan slick-greeter smartmontools speech-dispatcher
speech-dispatcher-audio-plugins speech-dispatcher-espeak-ng squashfs-tools
ssh-askpass-gnome ssl-cert strace streamer sudo synaptic syslinux system-config-printer
system-config-printer-common system-config-printer-udev systemd systemd-sysv
sysvinit-utils t1utils tar tasksel tasksel-data tcpd tcpdump telnet thermald thunderbird
thunderbird-l10n-ru time timeshift tomboy transmission-gtk tzdata ucf udev udisks2 ufw
unixodbc uno-libs3 unrar unshield unzip update-inetd upower ure usb-modeswitch usbmuxd
usbutils user-setup util-linux uuid-runtime v86d vim-common vim-tiny vlc vlc-bin
vlc-plugin-base vlc-plugin-notify vlc-plugin-qt vlc-plugin-video-output w64codecs wajig
wamerican wget whiptail wireless-tools wmctrl wpasupplicant x11-apps x11-session-utils
x11-utils x11-xkb-utils x11-xserver-utils xapps-common xauth xawtv-plugins xbrlapi
xdg-desktop-portal xdg-desktop-portal-gtk xdg-user-dirs xdg-user-dirs-gtk xed xed-common
xed-dbg xfonts-100dpi xfonts-75dpi xfonts-base xfonts-scalable xfonts-utils xfsprogs xinit
xinput xml-core xorg xplayer xplayer-common xplayer-dbg xplayer-plugins xreader
xreader-dbg xscreensaver-gl xscreensaver-gl-extra xserver-common xserver-xephyr
xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-libinput
xserver-xorg-input-wacom xserver-xorg-legacy xserver-xorg-video-all
xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev
xserver-xorg-video-intel xserver-xorg-video-nouveau xserver-xorg-video-qxl
xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware xsltproc
xwayland xxd xz-utils yelp zeitgeist-core zenity zip zlib1g
НОВЫЕ пакеты, которые будут установлены:
gcc-6-base:i386 libc6:i386 libgcc1:i386
ВНИМАНИЕ: Эти существенно важные пакеты будут удалены.
НЕ ДЕЛАЙТЕ этого, если вы НЕ представляете себе все возможные последствия!
apt adduser (вследствие apt) gpgv (вследствие apt)
debian-archive-keyring (вследствие apt)
init-system-helpers (вследствие apt) libapt-pkg5.0 (вследствие apt)
libc6 (вследствие apt) libgcc1 (вследствие apt)
libstdc++6 (вследствие apt) base-files base-passwd
libdebconfclient0 (вследствие base-passwd) bash dash (вследствие bash)
libtinfo5 (вследствие bash) debianutils (вследствие bash) bsdutils
libsystemd0 (вследствие bsdutils) coreutils
libacl1 (вследствие coreutils) libattr1 (вследствие coreutils)
libselinux1 (вследствие coreutils) dpkg (вследствие dash) diffutils
libbz2-1.0 (вследствие dpkg) liblzma5 (вследствие dpkg)
zlib1g (вследствие dpkg) tar (вследствие dpkg) e2fsprogs
e2fslibs (вследствие e2fsprogs) libblkid1 (вследствие e2fsprogs)
libcomerr2 (вследствие e2fsprogs) libss2 (вследствие e2fsprogs)
libuuid1 (вследствие e2fsprogs) util-linux (вследствие e2fsprogs)
findutils grep libpcre3 (вследствие grep)
install-info (вследствие grep) gzip hostname init
systemd-sysv (вследствие init)
perl-base (вследствие init-system-helpers) libc-bin login
libaudit1 (вследствие login) libpam0g (вследствие login)
libpam-runtime (вследствие login) libpam-modules (вследствие login)
mintsources python3-apt (вследствие mintsources)
python3-gi (вследствие mintsources)
python3-pycurl (вследствие mintsources)
mint-common (вследствие mintsources)
gir1.2-gdkpixbuf-2.0 (вследствие mintsources)
gir1.2-glib-2.0 (вследствие mintsources)
gir1.2-gtk-3.0 (вследствие mintsources)
gir1.2-pango-1.0 (вследствие mintsources)
gir1.2-vte-2.91 (вследствие mintsources)
lsb-release (вследствие mintsources) mount
libmount1 (вследствие mount) libsmartcols1 (вследствие mount)
libudev1 (вследствие mount) ncurses-bin sed sysvinit-utils
libfdisk1 (вследствие util-linux) libncursesw5 (вследствие util-linux)
обновлено 0, установлено 3 новых пакетов, для удаления отмечено 1662 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 2 698 kБ архивов.
После данной операции, объём занятого дискового пространства уменьшится на 3 295 MB.
То, что вы хотите сделать, может иметь нежелательные последствия.
Чтобы продолжить, введите фразу: «Да, делать, как я скажу!»
?] n
Аварийное завершение.

Аватара пользователя

darkfenix
Сообщения: 5013
Зарегистрирован: 27 июн 2017, 10:36
Решено: 57
Откуда: Нижний Тагил
Благодарил (а): 285 раз
Поблагодарили: 939 раз

LMDE 3 Cindy Mate x64

Сообщение darkfenix » 17 сен 2018, 03:06

AlexZ, попробуй перед установкой добавить репы для i386 sudo dpkg --add-architecture i386
Изображение

Вернуться в «Неофициальные сборки»